#
# spec file for package pcc-acpi (Version 0.9)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           pcc-acpi
BuildRequires:  kernel-source kernel-syms module-init-tools
Summary:        Panasonic Hotkey Driver
Version:        0.9
Release:        3.1
Group:          System/Kernel
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.da-cha.jp/letsnote
AutoReqProv:    on
Source:         %{name}-%{version}.tar.bz2
Patch0:         pcc-acpi-0.9-add-missing-input-unregister-device.diff
Patch1:         fseidel_fix_newacpidevmanagement.patch
Source100:      preamble
ExclusiveArch:  %ix86 x86_64
%suse_kernel_module_package -n pcc-acpi -p %_sourcedir/preamble um

%description
The Panasonic Hotkey Driver implements hotkey functionality for
Panasonic R1(N variant), R2, R3, T2, W2, and Y2 laptops on linux for
machines running a 2.6 kernel.



Authors:
--------
    Hiroshi Miura <miura@da-cha.org>

%package -n pcc-acpi-KMP
Group:          System/Kernel
License:        GPL v2 or later
Summary:        Panasonic Hotkey Driver

%description -n pcc-acpi-KMP
The Panasonic Hotkey Driver implements hotkey functionality for
Panasonic R1(N variant), R2, R3, T2, W2, and Y2 laptops on linux for
machines running a 2.6 kernel.



Authors:
--------
    Hiroshi Miura <miura@da-cha.org>

%prep
%setup
%patch0
%patch1 -p1

%build
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  mkdir -p obj/$flavor
  cp Makefile pcc_acpi.c obj/$flavor/
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 06 2007 - tuxbox@suse.de
- fixed acpi device id registration to new autoloading framework
  and adapted resume function to new api
* Wed Jun 13 2007 - seife@suse.de
- initial submission
